<?php
/**
* Noting Found Page Settings.
*
* @package Ott Vlogger
*/

$ott_vlogger_default = ott_vlogger_get_default_theme_options();

$wp_customize->add_section( 'ott_vlogger_noting_found_page_settings',
    array(
        'title'      => esc_html__( 'Nothing Found Page Settings', 'ott-vlogger' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'ott_vlogger_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'ott_vlogger_noting_found_main_title',
    array(
        'default'           => 'Nothing Found',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ott_vlogger_noting_found_main_title',
    array(
        'label'    => esc_html__( 'Main Title', 'ott-vlogger' ),
        'section'  => 'ott_vlogger_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'ott_vlogger_noting_found_para',
    array(
        'default'           => 'Sorry, but nothing matched your search terms. Please try again with some different keywords.',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ott_vlogger_noting_found_para',
    array(
        'label'    => esc_html__( 'Para Text', 'ott-vlogger' ),
        'section'  => 'ott_vlogger_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting('ott_vlogger_noting_found_saerch',
    array(
        'default' => 1,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ott_vlogger_sanitize_checkbox',
    )
);
$wp_customize->add_control('ott_vlogger_noting_found_saerch',
    array(
        'label' => esc_html__('Enable/Disable Search', 'ott-vlogger'),
        'section' => 'ott_vlogger_noting_found_page_settings',
        'type' => 'checkbox',
    )
);